VMware ESX 多种漏洞 (VMSA-2009-0004)(远程检查)

high Nessus 插件 ID 89112
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程主机缺少与安全相关的修补程序。

描述

远程 VMware ESX 主机缺少与安全有关的修补程序。因此,它受到多种漏洞的影响:

- helptags_one() 函数的 Vim 说明标签处理器中存在一个格式字符串缺陷,允许远程攻击者通过诱骗用户对恶意说明文件执行“helptags”命令来执行任意代码。(CVE-2007-2953)

- Vim 系统函数中存在多个缺陷,造成此漏洞的原因是无法审查用户提供的输入。攻击者可利用这些缺陷,诱骗用户开启特别构建的文件,进而执行任意代码。(CVE-2008-2712)

- Vim mch_expand_wildcards() 函数中存在基于堆的缓冲区溢出。攻击者可利用此情形,通过特别构建的文件名中的 shell 元字符执行任意代码。(CVE-2008-3432)

- 处理 Vim 关键词和标签时存在多个缺陷,造成此类缺陷的原因是未正确处理转义字符。攻击者可利用此问题,通过构建的文档,执行任意 shell 命令或 Ex 命令。(CVE-2008-4101)

- OpenSSL 中存在一个安全绕过漏洞,造成此漏洞的原因是无法正确检查来自 EVP_VerifyFinal() 函数的返回值。远程攻击者可利用此漏洞,通过适用于 DSA 和 ECDSA 密钥的畸形 SSL/TLS 签名绕过证书链的验证。(CVE-2008-5077)

- BIND 中存在一个安全绕过漏洞,造成此漏洞的原因是无法正确检查来自 OpenSSL DSA_verify() 函数的返回值。远程攻击者可利用此漏洞,通过畸形的 SSL/TLS 签名,在使用 DNSSEC 的系统中绕过证书链验证。(CVE-2009-0025)

解决方案

根据 ESX 版本 3.5 / 4.0 中附带的供应商公告应用相应的修补程序。

另见

https://www.vmware.com/security/advisories/VMSA-2009-0004

插件详情

严重性: High

ID: 89112

文件名: vmware_VMSA-2009-0004_remote.nasl

版本: 1.6

类型: remote

系列: Misc.

发布时间: 2016/3/3

最近更新时间: 2021/1/6

依存关系: vmware_vsphere_detect.nbin

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 9.3

时间分数: 7.3

矢量: AV:N/AC:M/Au:N/C:C/I:C/A:C

时间矢量: E:POC/RL:OF/RC:C

漏洞信息

CPE: cpe:/o:vmware:esx

必需的 KB 项: Host/VMware/version, Host/VMware/release

可利用: true

易利用性: Exploits are available

补丁发布日期: 2009/3/31

漏洞发布日期: 2007/7/27

参考资料信息

CVE: CVE-2007-2953, CVE-2008-2712, CVE-2008-3432, CVE-2008-4101, CVE-2008-5077, CVE-2009-0025

BID: 25095, 29715, 30648, 30795, 33150, 33151

VMSA: 2009-0004

CWE: 20, 119, 287